Loading...
Searching...
No Matches
form_expr_quadrature.h File Reference

Go to the source code of this file.

## Classes

struct | is_form_expr_quadrature_arg< T >
struct | is_form_expr_quadrature_on_side_arg< T >
class | form_expr_quadrature_on_element< Expr >
struct | is_form_expr_quadrature_arg< form_expr_quadrature_on_element< Expr > >
class | form_expr_quadrature_on_sides< Expr >
struct | is_form_expr_quadrature_arg< form_expr_quadrature_on_sides< Expr > >
struct | is_form_expr_quadrature_on_side_arg< form_expr_quadrature_on_sides< Expr > >
class | form_expr_quadrature_unary< UnaryFunction, Expr >
struct | is_form_expr_quadrature_arg< form_expr_quadrature_unary< F, Expr > >
class | form_expr_quadrature_binary< BinaryFunction, Expr1, Expr2 >
struct | is_form_expr_quadrature_arg< form_expr_quadrature_binary< F, Expr1, Expr2 > >
struct | is_form_expr_quadrature_binary_multiplies_divides_constant_left< Expr1, Expr2, Sfinae >
struct | is_form_expr_quadrature_binary_multiplies_divides_constant_left< Expr1, Expr2, typename std::enable_if< is_rheolef_arithmetic< Expr1 >::value &&is_form_expr_quadrature_arg< Expr2 >::value >::type >
struct | is_form_expr_quadrature_binary_multiplies_divides_constant_right< Expr1, Expr2 >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_make_form_expr_quadrature_unary(FUNCTION, FUNCTOR)
#define | _RHEOLEF_form_expr_quadrature_binary(FUNCTION, FUNCTOR)
#define | _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left(FUNCTION, FUNCTOR)
#define | _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_right(FUNCTION, FUNCTOR)
#define | _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant(FUNCTION, FUNCTOR)

## Functions

template<class Expr >
std::enable_if< details::is_form_expr_v2_variational_arg< Expr >::value, details::form_expr_quadrature_on_sides< Expr > >::type | on_local_sides (const Expr &expr)
| _RHEOLEF_make_form_expr_quadrature_unary (operator+, details::unary_plus) _RHEOLEF_make_form_expr_quadrature_unary(operator-
| _RHEOLEF_form_expr_quadrature_binary (operator+, details::plus) _RHEOLEF_form_expr_quadrature_binary(operator-
| _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant (operator*, details::multiplies) _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_right(operator/

## Macro Definition Documentation

## _RHEOLEF_make_form_expr_quadrature_unary

#define _RHEOLEF_make_form_expr_quadrature_unary | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Value:
template<class Expr> \
inline \
typename \
std::enable_if< \
details::is_form_expr_quadrature_arg<Expr>::value \
,details::form_expr_quadrature_unary< \
FUNCTOR \
,Expr \
> \
>::type \
FUNCTION (const Expr& expr) \
{ \
return details::form_expr_quadrature_unary <FUNCTOR,Expr> (FUNCTOR(), expr); \
}

Definition at line 476 of file form_expr_quadrature.h.

## _RHEOLEF_form_expr_quadrature_binary

#define _RHEOLEF_form_expr_quadrature_binary | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Definition at line 616 of file form_expr_quadrature.h.

## _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left

#define _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Value:
template<class Expr1, class Expr2> \
inline \
typename \
std::enable_if< \
details::is_form_expr_quadrature_binary_multiplies_divides_constant_left <Expr1,Expr2>::value \
,details::form_expr_quadrature_unary< \
details::binder_first <FUNCTOR, Expr1> \
,Expr2 /* vf */ \
> \
>::type \
FUNCTION (const Expr1& expr1, const Expr2& expr2) \
{ \
return details::form_expr_quadrature_unary \
<details::binder_first <FUNCTOR,Expr1>, Expr2> \
(details::binder_first <FUNCTOR,Expr1> (FUNCTOR(), expr1), expr2); \
}

Definition at line 710 of file form_expr_quadrature.h.

## _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_right

#define _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_right | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Value:
template<class Expr1, class Expr2> \
inline \
typename \
std::enable_if< \
details::is_form_expr_quadrature_binary_multiplies_divides_constant_right <Expr1,Expr2>::value \
,details::form_expr_quadrature_unary< \
details::binder_second <FUNCTOR, Expr2> \
,Expr1 /* vf */ \
> \
>::type \
FUNCTION (const Expr1& expr1, const Expr2& expr2) \
{ \
return details::form_expr_quadrature_unary \
<details::binder_second <FUNCTOR,Expr2>, Expr1> \
(details::binder_second <FUNCTOR,Expr2> (FUNCTOR(), expr2), expr1); \
}

Definition at line 728 of file form_expr_quadrature.h.

## _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant

#define _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Value:
_RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left (FUNCTION,FUNCTOR) \
_RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_right (FUNCTION,FUNCTOR)
_RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left
#define _RHEOLEF_make_form_expr_quadrature_binary_operator_multiplies_divides_constant_left(FUNCTION, FUNCTOR)
Definition form_expr_quadrature.h:710

Definition at line 746 of file form_expr_quadrature.h.